WordPress.org

Support

Support » How-To and Troubleshooting » WordPress 2.9 Security is GARBAGE!

WordPress 2.9 Security is GARBAGE!

  • WP 2.9 was just as easy to get into as the previous versions.

    WordPress is great software, but without any real security we are exploring other CMS options. Anyone who has a high profile WordPress site, I would suggest you do the same.

Viewing 5 replies - 1 through 5 (of 5 total)
  • esmi

    @esmi

    Forum Moderator

    Why do you think it was WordPress that was responsible for your recent problems? At the point your site was attacked, you don’t appear to have even been running the latest version.

    Did you ensure that you had removed all back doors left by the recent hack? Did you check these resources?

    http://codex.wordpress.org/FAQ_My_site_was_hacked
    http://wordpress.org/support/topic/268083#post-1065779

    How To Completely Clean Your Hacked WordPress Installation

    Because WordPress does not have the best security record.

    Do you think there have been several versions released lately because the software is Uber Secure? OR are the Devs trying to plug a hole in a leaky ship only to find another hole when they plug one?

    Other CMS programs seem to be able to lock most of your site into a Database, that just isn’t true for WP.

    Can you post a link to your site, D.Vader?

    esmi

    @esmi

    Forum Moderator

    No, large-scale, popular, open source software is 100% free from security issues. No sooner is a new version released than a certain level of low-lives start figuring out how to break into it. This is true of all CMS systems – free, open-source or otherwise.

    Not all of the past versions of WP have been expressly released because of security issues. Most offered new, or enhanced, functionality.

    If you seriously think that other CMS do not suffer from the same potential problems every day, then you really are living in cloud-cuckoo land.

    I used and worked on PHP-Nuke sites for about a year before the fork that took many of us to PostNuke. I worked and used PostNuke until I found WordPress about 3 yrs ago.
    I have also used Gallery, Mambo (then Joomla) and Drupal. Over the past 11 years I have been neck deep in using Open Source applications to build websites; for clients and for myself.
    But even a total noob knows that you are responsible for your own security. It take far more then simply keeping the site updated to ensure a solid security base.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘WordPress 2.9 Security is GARBAGE!’ is closed to new replies.
Skip to toolbar